Skip to main content

POST - Mark tasks as seen

Mark tasks as seen

Request

  • Method: POST
  • Endpoint: /task-executions/seen
  • Base URL: https://api.targpatrol.com/api/v1
  • Operation ID: mark-task-executions-as-seen

Authorization

This endpoint requires an external API key.

x-api-key: {your_external_api_key}

Request Body

Required: no Content-Type: application/json Schema: TaskExecutionSeenRequest

Schema
{
"$ref": "#/components/schemas/TaskExecutionSeenRequest"
}

Example: example-1

{
"taskIds": [
"1808db4a-aa4f-4431-940e-21ba9662721b",
"85da85f2-bcb1-459c-8e0e-634d79474457"
],
"assigneeId": "4f9e4741-3069-4a03-8386-5f3ee45791aa"
}

Responses

200 OK

400 Bad Request

Content-Type: application/json Schema: ErrorResponse

Schema
{
"$ref": "#/components/schemas/ErrorResponse"
}

Example: example-1

{
"message": "invalid input data",
"code": "input.data.invalid",
"timestamp": "2023-03-07T05:57:59.315Z"
}

401 Unauthorized

404 Not Found

Content-Type: application/json Schema: ErrorResponse

Schema
{
"$ref": "#/components/schemas/ErrorResponse"
}

Example: example-1

{
"message": "resource wasn't found",
"code": "not.found",
"timestamp": "2023-03-07T05:57:59.315Z"
}

500 Internal Server Error

Content-Type: application/json Schema: ErrorResponse

Schema
{
"$ref": "#/components/schemas/ErrorResponse"
}

Example: example-1

{
"message": "internal server error",
"code": "internal.server.error",
"timestamp": "2023-03-07T05:57:59.315Z"
}